---
updatedAt: 2026-04-21T08:57:19.000Z
agentTools:
  projectIndex: https://docs.mesh.complyadvantage.com/llms.txt
---

# Create screening configuration

This endpoint creates a new screening configuration


You need "Access to base customer screening functionality" enabled and the "Create and update customer screening configurations" permission to use this endpoint.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "sra_Collection": {
        "description": "Object containing the collection of screening parameters. A collection can either contain ComplyAdvantage sources or custom lists.",
        "minLength": 1,
        "properties": {
          "aml_types": {
            "default": [],
            "description": "The list of available AML types for the collection.",
            "example": [
              "pep-class-1",
              "pep-class-2"
            ],
            "items": {
              "default": "[]",
              "description": "The list of available AML types for the collection.",
              "example": "[\"pep-class-1\",\"pep-class-2\"]",
              "type": "string"
            },
            "type": "array"
          },
          "custom_list_identifiers": {
            "default": [],
            "description": "The list of available custom lists for the collection.",
            "example": [
              "add73965-d5f1-44ea-857d-1660fb0bdd70",
              "680ff6c0-c399-4fe5-ac6d-2cd428d836b5"
            ],
            "items": {
              "default": "[]",
              "description": "The list of available custom lists for the collection.",
              "example": "[\"add73965-d5f1-44ea-857d-1660fb0bdd70\",\"680ff6c0-c399-4fe5-ac6d-2cd428d836b5\"]",
              "type": "string"
            },
            "nullable": true,
            "type": "array"
          },
          "description": {
            "description": "The description of the collection.",
            "example": "Collection description",
            "nullable": true,
            "type": "string"
          },
          "fuzziness": {
            "description": "The fuzziness of the collection.",
            "example": 0.8,
            "format": "float",
            "maximum": 1,
            "minimum": 0,
            "nullable": true,
            "type": "number"
          },
          "name": {
            "description": "The name and identifier of the collection.",
            "example": "Collection Name",
            "nullable": true,
            "type": "string"
          },
          "options": {
            "default": [],
            "description": "The list of available options for the collection.",
            "example": [
              "sanction_option",
              "pep_option"
            ],
            "items": {
              "default": "[]",
              "description": "The list of available options for the collection.",
              "example": "[\"sanction_option\",\"pep_option\"]",
              "type": "string"
            },
            "nullable": true,
            "type": "array"
          },
          "source_identifiers": {
            "default": [],
            "description": "The list of available sources for the collection.",
            "example": [
              "S:ABC123",
              "S:1A2B3C"
            ],
            "items": {
              "default": "[]",
              "description": "The list of available sources for the collection.",
              "example": "[\"S:ABC123\",\"S:1A2B3C\"]",
              "type": "string"
            },
            "type": "array"
          }
        },
        "required": [
          "aml_types",
          "description",
          "fuzziness",
          "name",
          "options",
          "source_identifiers"
        ],
        "type": "object"
      },
      "sra_Configuration": {
        "description": "Object containing a screening configuration with multiple collections.",
        "properties": {
          "configuration_options": {
            "default": [],
            "description": "Configurations to be used across all collections, not the same as options inside a collection",
            "example": [
              "media_snippet_id"
            ],
            "items": {
              "default": "[]",
              "description": "Configurations to be used across all collections, not the same as options inside a collection",
              "example": "[\"media_snippet_id\"]",
              "type": "string"
            },
            "nullable": true,
            "type": "array"
          },
          "country_filters": {
            "default": [],
            "description": "Country based screening results filtering",
            "example": [
              "GB"
            ],
            "format": "ISO 3166-1 Alpha-2",
            "items": {
              "default": "[]",
              "description": "Country based screening results filtering",
              "example": "[\"GB\"]",
              "format": "ISO 3166-1 Alpha-2",
              "type": "string"
            },
            "type": "array"
          },
          "description": {
            "description": "The description of the screening configuration.",
            "example": "Configuration description",
            "nullable": true,
            "type": "string"
          },
          "is_archived": {
            "default": false,
            "description": "The flag to indicate if the screening configuration is archived.",
            "type": "boolean"
          },
          "name": {
            "description": "The name and identifier of the screening configuration.",
            "example": "Configuration Name",
            "minLength": 1,
            "type": "string"
          },
          "results_limit": {
            "description": "The limit of screening results returned",
            "enum": [
              10,
              25,
              50,
              100,
              500
            ],
            "format": "int32",
            "type": "integer"
          },
          "source_collections": {
            "description": "The list of collections.",
            "items": {
              "$ref": "#/components/schemas/sra_Collection"
            },
            "minLength": 1,
            "type": "array"
          }
        },
        "required": [
          "country_filters",
          "description",
          "is_archived",
          "name",
          "results_limit",
          "source_collections"
        ],
        "type": "object"
      },
      "sra_CreateConfigurationRequest": {
        "description": "Create configuration request containing a change reason and a screening configuration with multiple collections.",
        "properties": {
          "change_reason": {
            "description": "The reason for the change/creation. Defaults to \"Initial creation\"",
            "nullable": true,
            "type": "string"
          },
          "configuration": {
            "$ref": "#/components/schemas/sra_Configuration"
          }
        },
        "type": "object"
      },
      "sra_ProblemDetailErrorResponse": {
        "additionalProperties": true,
        "properties": {
          "detail": {
            "nullable": true,
            "type": "string"
          },
          "identifier": {
            "format": "uuid",
            "nullable": true,
            "type": "string"
          },
          "instance": {
            "format": "uri",
            "nullable": true,
            "type": "string"
          },
          "status": {
            "format": "int32",
            "nullable": true,
            "type": "integer"
          },
          "timestamp": {
            "format": "date-time",
            "nullable": true,
            "type": "string"
          },
          "title": {
            "nullable": true,
            "type": "string"
          },
          "type": {
            "format": "uri",
            "nullable": true,
            "type": "string"
          }
        },
        "type": "object"
      },
      "sra_ScreeningConfiguration": {
        "description": "The response schema for a screening configuration.",
        "properties": {
          "change_reason": {
            "description": "The reason for the change in the screening configuration.",
            "nullable": true,
            "type": "string"
          },
          "configuration": {
            "$ref": "#/components/schemas/sra_Configuration"
          },
          "configuration_identifier": {
            "description": "The screening configuration identifier.",
            "format": "uuid",
            "nullable": true,
            "type": "string"
          },
          "created_at": {
            "description": "Timestamp of when the screening configuration was created.",
            "format": "date-time",
            "nullable": true,
            "type": "string"
          },
          "created_by": {
            "description": "The unique identifier of the user who created the screening configuration.",
            "format": "uuid",
            "nullable": true,
            "type": "string"
          },
          "version": {
            "description": "The version of the screening configuration.",
            "format": "int32",
            "nullable": true,
            "type": "integer"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "description": "HTTP Bearer Token Authentication",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "title": "Mesh API",
    "version": "v2.0"
  },
  "openapi": "3.0.3",
  "paths": {
    "/v2/entity-screening/configurations": {
      "post": {
        "description": "This endpoint creates a new screening configuration\n\n\nYou need \"Access to base customer screening functionality\" enabled and the \"Create and update customer screening configurations\" permission to use this endpoint.",
        "operationId": "entityScreeningCreateConfiguration",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/sra_CreateConfigurationRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/sra_ScreeningConfiguration"
                }
              }
            },
            "description": "Configuration successfully created"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/sra_ProblemDetailErrorResponse"
                }
              }
            },
            "description": "Bad Request"
          }
        },
        "summary": "Create screening configuration",
        "tags": [
          "Screening Configurations"
        ]
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "description": "ComplyAdvantage Mesh API",
      "url": "https://api.mesh.complyadvantage.com"
    }
  ],
  "tags": [
    {
      "name": "Screening Configurations"
    }
  ]
}
```